using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using Microsoft.Xna.Framework;
using UWBGL_WinForms_Lib1;
using UWBGL_XNA_Lib13;

namespace XNA_SceneNode
{
    class DrawOnlyHandler : UWB_XNAWindowHandler
    {
        private UWBGL_UIWindow mWindow;

        public DrawOnlyHandler()
        {
            mWindow = new UWBGL_UIWindow(true);
        }

        public bool Initialize(Control PlaceHolder)
        {
            if (!mWindow.ReplaceFormControl(PlaceHolder.Handle))
                return false;

            if (!mWindow.AttachHandler(this))
                return false;
            
            return true;
        }

        public override void DrawGraphics()
        {
            BeginScene();

			loadW2NDCXform();

            Program.getModel().drawModel();

            EndSceneAndShow();
        }
    }
}
