using System;
using System.Collections.Generic;
using System.Text;
using UWBGL_XNA_Lib1;
using UWBGL_WinForms_Lib1;

namespace XNA_ModelView
{
    public class Model
    {
        private UWB_XNARectangleGeometry m_LargeSquare;
        private UWB_XNACircleGeometry m_SmallCircle;

        public Model()
        {
            m_LargeSquare = new UWB_XNARectangleGeometry();
            m_SmallCircle = new UWB_XNACircleGeometry();

            m_LargeSquare.SetCenter(120f, 82f);
            m_LargeSquare.SetSize(80f, 80f);

            m_SmallCircle.SetCenter(185f, 157f);
            m_SmallCircle.SetRadius(20f);
        }

        public void Draw()
        {
            m_LargeSquare.Draw();
            m_SmallCircle.Draw();
        }

        public float GetCircleRadius()
        {
            return m_SmallCircle.GetRadius();
        }

        public void SetCircleRadius(float radius)
        {
            m_SmallCircle.SetRadius(radius);
        }
    }
}
